Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iextract_domain_attr.F90
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iextract_domain_attr.F90	(revision 2338)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iextract_domain_attr.F90	(revision 2338)
@@ -0,0 +1,224 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE iextract_domain_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE iextract_domain
+  USE extract_domain_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_extract_domain_attr)  &
+    ( extract_domain_id, ibegin, jbegin, ni, nj )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain))  :: extract_domain_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::extract_domain_id
+      INTEGER  , OPTIONAL, INTENT(IN) :: ibegin
+      INTEGER  , OPTIONAL, INTENT(IN) :: jbegin
+      INTEGER  , OPTIONAL, INTENT(IN) :: ni
+      INTEGER  , OPTIONAL, INTENT(IN) :: nj
+
+      CALL xios(get_extract_domain_handle) &
+      (extract_domain_id,extract_domain_hdl)
+      CALL xios(set_extract_domain_attr_hdl_)   &
+      ( extract_domain_hdl, ibegin, jbegin, ni, nj )
+
+  END SUBROUTINE xios(set_extract_domain_attr)
+
+  SUBROUTINE xios(set_extract_domain_attr_hdl)  &
+    ( extract_domain_hdl, ibegin, jbegin, ni, nj )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain)) , INTENT(IN) :: extract_domain_hdl
+      INTEGER  , OPTIONAL, INTENT(IN) :: ibegin
+      INTEGER  , OPTIONAL, INTENT(IN) :: jbegin
+      INTEGER  , OPTIONAL, INTENT(IN) :: ni
+      INTEGER  , OPTIONAL, INTENT(IN) :: nj
+
+      CALL xios(set_extract_domain_attr_hdl_)  &
+      ( extract_domain_hdl, ibegin, jbegin, ni, nj )
+
+  END SUBROUTINE xios(set_extract_domain_attr_hdl)
+
+  SUBROUTINE xios(set_extract_domain_attr_hdl_)   &
+    ( extract_domain_hdl, ibegin_, jbegin_, ni_, nj_ )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain)) , INTENT(IN) :: extract_domain_hdl
+      INTEGER  , OPTIONAL, INTENT(IN) :: ibegin_
+      INTEGER  , OPTIONAL, INTENT(IN) :: jbegin_
+      INTEGER  , OPTIONAL, INTENT(IN) :: ni_
+      INTEGER  , OPTIONAL, INTENT(IN) :: nj_
+
+      IF (PRESENT(ibegin_)) THEN
+        CALL cxios_set_extract_domain_ibegin &
+      (extract_domain_hdl%daddr, ibegin_)
+      ENDIF
+
+      IF (PRESENT(jbegin_)) THEN
+        CALL cxios_set_extract_domain_jbegin &
+      (extract_domain_hdl%daddr, jbegin_)
+      ENDIF
+
+      IF (PRESENT(ni_)) THEN
+        CALL cxios_set_extract_domain_ni &
+      (extract_domain_hdl%daddr, ni_)
+      ENDIF
+
+      IF (PRESENT(nj_)) THEN
+        CALL cxios_set_extract_domain_nj &
+      (extract_domain_hdl%daddr, nj_)
+      ENDIF
+
+  END SUBROUTINE xios(set_extract_domain_attr_hdl_)
+
+  SUBROUTINE xios(get_extract_domain_attr)  &
+    ( extract_domain_id, ibegin, jbegin, ni, nj )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain))  :: extract_domain_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::extract_domain_id
+      INTEGER  , OPTIONAL, INTENT(OUT) :: ibegin
+      INTEGER  , OPTIONAL, INTENT(OUT) :: jbegin
+      INTEGER  , OPTIONAL, INTENT(OUT) :: ni
+      INTEGER  , OPTIONAL, INTENT(OUT) :: nj
+
+      CALL xios(get_extract_domain_handle) &
+      (extract_domain_id,extract_domain_hdl)
+      CALL xios(get_extract_domain_attr_hdl_)   &
+      ( extract_domain_hdl, ibegin, jbegin, ni, nj )
+
+  END SUBROUTINE xios(get_extract_domain_attr)
+
+  SUBROUTINE xios(get_extract_domain_attr_hdl)  &
+    ( extract_domain_hdl, ibegin, jbegin, ni, nj )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain)) , INTENT(IN) :: extract_domain_hdl
+      INTEGER  , OPTIONAL, INTENT(OUT) :: ibegin
+      INTEGER  , OPTIONAL, INTENT(OUT) :: jbegin
+      INTEGER  , OPTIONAL, INTENT(OUT) :: ni
+      INTEGER  , OPTIONAL, INTENT(OUT) :: nj
+
+      CALL xios(get_extract_domain_attr_hdl_)  &
+      ( extract_domain_hdl, ibegin, jbegin, ni, nj )
+
+  END SUBROUTINE xios(get_extract_domain_attr_hdl)
+
+  SUBROUTINE xios(get_extract_domain_attr_hdl_)   &
+    ( extract_domain_hdl, ibegin_, jbegin_, ni_, nj_ )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain)) , INTENT(IN) :: extract_domain_hdl
+      INTEGER  , OPTIONAL, INTENT(OUT) :: ibegin_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: jbegin_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: ni_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: nj_
+
+      IF (PRESENT(ibegin_)) THEN
+        CALL cxios_get_extract_domain_ibegin &
+      (extract_domain_hdl%daddr, ibegin_)
+      ENDIF
+
+      IF (PRESENT(jbegin_)) THEN
+        CALL cxios_get_extract_domain_jbegin &
+      (extract_domain_hdl%daddr, jbegin_)
+      ENDIF
+
+      IF (PRESENT(ni_)) THEN
+        CALL cxios_get_extract_domain_ni &
+      (extract_domain_hdl%daddr, ni_)
+      ENDIF
+
+      IF (PRESENT(nj_)) THEN
+        CALL cxios_get_extract_domain_nj &
+      (extract_domain_hdl%daddr, nj_)
+      ENDIF
+
+  END SUBROUTINE xios(get_extract_domain_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_extract_domain_attr)  &
+    ( extract_domain_id, ibegin, jbegin, ni, nj )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain))  :: extract_domain_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::extract_domain_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ibegin
+      LOGICAL(KIND=C_BOOL) :: ibegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: jbegin
+      LOGICAL(KIND=C_BOOL) :: jbegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ni
+      LOGICAL(KIND=C_BOOL) :: ni_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: nj
+      LOGICAL(KIND=C_BOOL) :: nj_tmp
+
+      CALL xios(get_extract_domain_handle) &
+      (extract_domain_id,extract_domain_hdl)
+      CALL xios(is_defined_extract_domain_attr_hdl_)   &
+      ( extract_domain_hdl, ibegin, jbegin, ni, nj )
+
+  END SUBROUTINE xios(is_defined_extract_domain_attr)
+
+  SUBROUTINE xios(is_defined_extract_domain_attr_hdl)  &
+    ( extract_domain_hdl, ibegin, jbegin, ni, nj )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain)) , INTENT(IN) :: extract_domain_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ibegin
+      LOGICAL(KIND=C_BOOL) :: ibegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: jbegin
+      LOGICAL(KIND=C_BOOL) :: jbegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ni
+      LOGICAL(KIND=C_BOOL) :: ni_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: nj
+      LOGICAL(KIND=C_BOOL) :: nj_tmp
+
+      CALL xios(is_defined_extract_domain_attr_hdl_)  &
+      ( extract_domain_hdl, ibegin, jbegin, ni, nj )
+
+  END SUBROUTINE xios(is_defined_extract_domain_attr_hdl)
+
+  SUBROUTINE xios(is_defined_extract_domain_attr_hdl_)   &
+    ( extract_domain_hdl, ibegin_, jbegin_, ni_, nj_ )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain)) , INTENT(IN) :: extract_domain_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ibegin_
+      LOGICAL(KIND=C_BOOL) :: ibegin__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: jbegin_
+      LOGICAL(KIND=C_BOOL) :: jbegin__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ni_
+      LOGICAL(KIND=C_BOOL) :: ni__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: nj_
+      LOGICAL(KIND=C_BOOL) :: nj__tmp
+
+      IF (PRESENT(ibegin_)) THEN
+        ibegin__tmp = cxios_is_defined_extract_domain_ibegin &
+      (extract_domain_hdl%daddr)
+        ibegin_ = ibegin__tmp
+      ENDIF
+
+      IF (PRESENT(jbegin_)) THEN
+        jbegin__tmp = cxios_is_defined_extract_domain_jbegin &
+      (extract_domain_hdl%daddr)
+        jbegin_ = jbegin__tmp
+      ENDIF
+
+      IF (PRESENT(ni_)) THEN
+        ni__tmp = cxios_is_defined_extract_domain_ni &
+      (extract_domain_hdl%daddr)
+        ni_ = ni__tmp
+      ENDIF
+
+      IF (PRESENT(nj_)) THEN
+        nj__tmp = cxios_is_defined_extract_domain_nj &
+      (extract_domain_hdl%daddr)
+        nj_ = nj__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_extract_domain_attr_hdl_)
+
+END MODULE iextract_domain_attr
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/ifield_attr.F90
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/ifield_attr.F90	(revision 2337)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/ifield_attr.F90	(revision 2338)
@@ -12,9 +12,9 @@
 
   SUBROUTINE xios(set_field_attr)  &
-    ( field_id, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-    , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-    , valid_max, valid_min )
+    ( field_id, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+    , unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -23,4 +23,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: add_offset
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref
+      LOGICAL  , OPTIONAL, INTENT(IN) :: build_workflow_graph
+      LOGICAL (KIND=C_BOOL) :: build_workflow_graph_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: cell_methods
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: cell_methods_mode
@@ -63,18 +65,18 @@
       (field_id,field_hdl)
       CALL xios(set_field_attr_hdl_)   &
-      ( field_hdl, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-      , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-      , valid_max, valid_min )
+      ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+      , unit, valid_max, valid_min )
 
   END SUBROUTINE xios(set_field_attr)
 
   SUBROUTINE xios(set_field_attr_hdl)  &
-    ( field_hdl, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-    , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-    , valid_max, valid_min )
+    ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+    , unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -82,4 +84,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: add_offset
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref
+      LOGICAL  , OPTIONAL, INTENT(IN) :: build_workflow_graph
+      LOGICAL (KIND=C_BOOL) :: build_workflow_graph_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: cell_methods
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: cell_methods_mode
@@ -120,18 +124,18 @@
 
       CALL xios(set_field_attr_hdl_)  &
-      ( field_hdl, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-      , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-      , valid_max, valid_min )
+      ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+      , unit, valid_max, valid_min )
 
   END SUBROUTINE xios(set_field_attr_hdl)
 
   SUBROUTINE xios(set_field_attr_hdl_)   &
-    ( field_hdl, add_offset_, axis_ref_, cell_methods_, cell_methods_mode_, check_if_active_, comment_  &
-    , compression_level_, default_value_, detect_missing_value_, domain_ref_, enabled_, expr_, field_ref_  &
-    , freq_offset_, freq_op_, grid_path_, grid_ref_, indexed_output_, level_, long_name_, name_  &
-    , operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_, ts_enabled_, ts_split_freq_  &
-    , unit_, valid_max_, valid_min_ )
+    ( field_hdl, add_offset_, axis_ref_, build_workflow_graph_, cell_methods_, cell_methods_mode_  &
+    , check_if_active_, comment_, compression_level_, default_value_, detect_missing_value_, domain_ref_  &
+    , enabled_, expr_, field_ref_, freq_offset_, freq_op_, grid_path_, grid_ref_, indexed_output_  &
+    , level_, long_name_, name_, operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_  &
+    , ts_enabled_, ts_split_freq_, unit_, valid_max_, valid_min_ )
 
     IMPLICIT NONE
@@ -139,4 +143,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: add_offset_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: build_workflow_graph_
+      LOGICAL (KIND=C_BOOL) :: build_workflow_graph__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: cell_methods_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: cell_methods_mode_
@@ -186,4 +192,10 @@
       ENDIF
 
+      IF (PRESENT(build_workflow_graph_)) THEN
+        build_workflow_graph__tmp = build_workflow_graph_
+        CALL cxios_set_field_build_workflow_graph &
+      (field_hdl%daddr, build_workflow_graph__tmp)
+      ENDIF
+
       IF (PRESENT(cell_methods_)) THEN
         CALL cxios_set_field_cell_methods &
@@ -345,9 +357,9 @@
 
   SUBROUTINE xios(get_field_attr)  &
-    ( field_id, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-    , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-    , valid_max, valid_min )
+    ( field_id, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+    , unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -356,4 +368,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: add_offset
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: build_workflow_graph
+      LOGICAL (KIND=C_BOOL) :: build_workflow_graph_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: cell_methods
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: cell_methods_mode
@@ -396,18 +410,18 @@
       (field_id,field_hdl)
       CALL xios(get_field_attr_hdl_)   &
-      ( field_hdl, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-      , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-      , valid_max, valid_min )
+      ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+      , unit, valid_max, valid_min )
 
   END SUBROUTINE xios(get_field_attr)
 
   SUBROUTINE xios(get_field_attr_hdl)  &
-    ( field_hdl, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-    , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-    , valid_max, valid_min )
+    ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+    , unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -415,4 +429,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: add_offset
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: build_workflow_graph
+      LOGICAL (KIND=C_BOOL) :: build_workflow_graph_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: cell_methods
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: cell_methods_mode
@@ -453,18 +469,18 @@
 
       CALL xios(get_field_attr_hdl_)  &
-      ( field_hdl, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-      , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-      , valid_max, valid_min )
+      ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+      , unit, valid_max, valid_min )
 
   END SUBROUTINE xios(get_field_attr_hdl)
 
   SUBROUTINE xios(get_field_attr_hdl_)   &
-    ( field_hdl, add_offset_, axis_ref_, cell_methods_, cell_methods_mode_, check_if_active_, comment_  &
-    , compression_level_, default_value_, detect_missing_value_, domain_ref_, enabled_, expr_, field_ref_  &
-    , freq_offset_, freq_op_, grid_path_, grid_ref_, indexed_output_, level_, long_name_, name_  &
-    , operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_, ts_enabled_, ts_split_freq_  &
-    , unit_, valid_max_, valid_min_ )
+    ( field_hdl, add_offset_, axis_ref_, build_workflow_graph_, cell_methods_, cell_methods_mode_  &
+    , check_if_active_, comment_, compression_level_, default_value_, detect_missing_value_, domain_ref_  &
+    , enabled_, expr_, field_ref_, freq_offset_, freq_op_, grid_path_, grid_ref_, indexed_output_  &
+    , level_, long_name_, name_, operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_  &
+    , ts_enabled_, ts_split_freq_, unit_, valid_max_, valid_min_ )
 
     IMPLICIT NONE
@@ -472,4 +488,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: add_offset_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: build_workflow_graph_
+      LOGICAL (KIND=C_BOOL) :: build_workflow_graph__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: cell_methods_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: cell_methods_mode_
@@ -519,4 +537,10 @@
       ENDIF
 
+      IF (PRESENT(build_workflow_graph_)) THEN
+        CALL cxios_get_field_build_workflow_graph &
+      (field_hdl%daddr, build_workflow_graph__tmp)
+        build_workflow_graph_ = build_workflow_graph__tmp
+      ENDIF
+
       IF (PRESENT(cell_methods_)) THEN
         CALL cxios_get_field_cell_methods &
@@ -678,9 +702,9 @@
 
   SUBROUTINE xios(is_defined_field_attr)  &
-    ( field_id, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-    , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-    , valid_max, valid_min )
+    ( field_id, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+    , unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -691,4 +715,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref
       LOGICAL(KIND=C_BOOL) :: axis_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: build_workflow_graph
+      LOGICAL(KIND=C_BOOL) :: build_workflow_graph_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: cell_methods
       LOGICAL(KIND=C_BOOL) :: cell_methods_tmp
@@ -755,18 +781,18 @@
       (field_id,field_hdl)
       CALL xios(is_defined_field_attr_hdl_)   &
-      ( field_hdl, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-      , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-      , valid_max, valid_min )
+      ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+      , unit, valid_max, valid_min )
 
   END SUBROUTINE xios(is_defined_field_attr)
 
   SUBROUTINE xios(is_defined_field_attr_hdl)  &
-    ( field_hdl, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-    , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-    , valid_max, valid_min )
+    ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+    , unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -776,4 +802,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref
       LOGICAL(KIND=C_BOOL) :: axis_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: build_workflow_graph
+      LOGICAL(KIND=C_BOOL) :: build_workflow_graph_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: cell_methods
       LOGICAL(KIND=C_BOOL) :: cell_methods_tmp
@@ -838,18 +866,18 @@
 
       CALL xios(is_defined_field_attr_hdl_)  &
-      ( field_hdl, add_offset, axis_ref, cell_methods, cell_methods_mode, check_if_active, comment  &
-      , compression_level, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
-      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
-      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
-      , valid_max, valid_min )
+      ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
+      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
+      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
+      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
+      , unit, valid_max, valid_min )
 
   END SUBROUTINE xios(is_defined_field_attr_hdl)
 
   SUBROUTINE xios(is_defined_field_attr_hdl_)   &
-    ( field_hdl, add_offset_, axis_ref_, cell_methods_, cell_methods_mode_, check_if_active_, comment_  &
-    , compression_level_, default_value_, detect_missing_value_, domain_ref_, enabled_, expr_, field_ref_  &
-    , freq_offset_, freq_op_, grid_path_, grid_ref_, indexed_output_, level_, long_name_, name_  &
-    , operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_, ts_enabled_, ts_split_freq_  &
-    , unit_, valid_max_, valid_min_ )
+    ( field_hdl, add_offset_, axis_ref_, build_workflow_graph_, cell_methods_, cell_methods_mode_  &
+    , check_if_active_, comment_, compression_level_, default_value_, detect_missing_value_, domain_ref_  &
+    , enabled_, expr_, field_ref_, freq_offset_, freq_op_, grid_path_, grid_ref_, indexed_output_  &
+    , level_, long_name_, name_, operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_  &
+    , ts_enabled_, ts_split_freq_, unit_, valid_max_, valid_min_ )
 
     IMPLICIT NONE
@@ -859,4 +887,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref_
       LOGICAL(KIND=C_BOOL) :: axis_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: build_workflow_graph_
+      LOGICAL(KIND=C_BOOL) :: build_workflow_graph__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: cell_methods_
       LOGICAL(KIND=C_BOOL) :: cell_methods__tmp
@@ -932,4 +962,10 @@
       ENDIF
 
+      IF (PRESENT(build_workflow_graph_)) THEN
+        build_workflow_graph__tmp = cxios_is_defined_field_build_workflow_graph &
+      (field_hdl%daddr)
+        build_workflow_graph_ = build_workflow_graph__tmp
+      ENDIF
+
       IF (PRESENT(cell_methods_)) THEN
         cell_methods__tmp = cxios_is_defined_field_cell_methods &
